
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UIWebView和UIWebViewDelegate的基本用法 / 憋错料</title>

    <meta name="description" content="UIWebView和UIWebViewDelegate的基本用法 UIWebView和UIWebViewDelegate的基本用法 一.UIWebView主要有三种方法实现页面的装载,分别是: 1. (void)loadRequest:(NSURLRequest *)request;  (直接装载URL) 2. (void)loadHTMLString:(NSString *)string baseURL:(NSURL *)baseURL; (主要用于装载用字符串拼接成的HTML代码)3 .(void)loadData:(NSData *)data MIMET">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">UIWebView和UIWebViewDelegate的基本用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>UIWebView和UIWebViewDelegate的基本用法</h3></p>
<p><strong>一、UIWebView主要有三种方法实现页面的装载，分别是：</strong></p>
<p>1. (void)loadRequest:(NSURLRequest *)request;&nbsp; (直接装载URL)</p>
<p>2. (void)loadHTMLString:(NSString *)string baseURL:(NSURL *)baseURL; （主要用于装载用字符串拼接成的HTML代码)<br />3 .(void)loadData:(NSData *)data MIMEType:(NSString *)MIMEType textEncodingName:(NSString *)textEncodingName baseURL:(NSURL *)baseURL;(主要应用于转载本地页面或者外部传来的NSData)</p>
<p>下面针对这三个方法，分别测试：</p>
<p>1. 第一个方法比较简单明了</p>
<pre>    NSString *url = @"http://www.baidu.com";

    NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:url]];    [webView loadRequest:request];</pre>
<p>2. 这个方法可以自己用字符串拼接HTML代码，然后用webview进行装载，也可以转载那段js代码</p>
<pre>1    NSString *html = @"hello &lt;h1&gt;world&lt;h1&gt;";2    // @"&lt;script language=‘javascript‘&gt;alert(‘hello‘);&lt;/script&gt;‘"3     [webView loadHTMLString:html baseURL:nil];</pre>
<p>3. 使用UIWebView装载已经存在的html 页面。</p>
<pre>1     NSBundle *bundle = [NSBundle mainBundle];2     NSString *path = [bundle pathForResource:@"word" ofType:@"html"];3     //word.html存在工程的资源目录中4     NSData *data = [[NSData alloc]initWithContentsOfFile:path];5     [webView loadData:data MIMEType:nil textEncodingName:nil baseURL:nil];</pre>
<p>其中MINEType可以设置成@"text/html"</p>
<p>textEncodingName可以设置成@"GBK" @"UTF-8"</p>
<p>为什么需要设置baseUrl？也就是data中有一些链接是图片，css都是外部文件，然后这些文件需要到一个目录上去找。baseUrl就是这个目录。</p>
<p>UIWebViewDelegate的用法</p>
<p>这个委托有4个方法，分别是：</p>
<p>- (BOOL)webView:(UIWebView *)<em>webView</em>&nbsp;shouldStartLoadWithRequest:(NSURLRequest *)<em>request</em>&nbsp;navigationType:(UIWebViewNavigationType)<em>navigationType</em></p>
<p>- (void)webViewDidStartLoad:(UIWebView *)<em>webView</em></p>
<p>- (void)webViewDidFinishLoad:(UIWebView *)<em>webView</em></p>
<p>- (void)webView:(UIWebView *)<em>webView</em>&nbsp;didFailLoadWithError:(NSError *)<em>error</em></p>

<p>分别是：加载前，开始加载，加载完毕，加载失败的回调。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 07:06:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>UIWebView和UIWebViewDelegate的基本用法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVmoGz4.html" rel="bookmark">UIWebView和UIWebViewDelegate的基本用法  （转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.UIWebView主要有三种方法实现页面的装载,分别是: 1. (void)loadRequest:(NSURLRequest *)request;  (直接装载URL) 2. (void)loadHTMLString:(NSString *)string baseURL:(NSURL *)baseURL; (主要用于装载用字符串拼接成的HTML代码)3 .(void)loadData:(NSData *)data MIMEType:(NSString *)MIMEType textEnco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEoerx3.html" rel="bookmark">ios开发入门篇（四）：UIWebView结合UISearchBar的简单用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 UIWebView是ios开发中比较常用的一个控件.我们可以用它来浏览网页.打开文档等,今天笔者在这里简单介绍下UIWebView和UISearchBar结合起来的用法,做一个简单的类浏览器. 一:首先定义这两个控件,并在.h文件中实现UISearchBarDelegate,UIWebViewDelegate两个代理 @interface TestView : UIViewController&lt;UISearchBarDelegate,UIWebViewDelegate&gt; @property(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4N19D23.html" rel="bookmark">WebViewJavascriptBridge的简单应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接:http://www.jianshu.com/p/ca496cb680fe前言 当下,很多APP里面都会有HTML5网页,我们除了简单的用WebView加载显示外,很多情况下,我们还需要和WebView进行交互,比如点击WebView上面的按钮调用OC端的函数实现具体操作. 因此今天为大家介绍一个优秀的开源小项目,就是我们今天的主角--WebViewJavascriptBridge.它主要帮助我们优雅的实现OC与JS的交互,非常方便简洁. 当然,有很多优秀的开发者写过WebViewJa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pGe9K3.html" rel="bookmark">js&lpar;javascript&rpar;与OC&lpar;Objective-C&rpar;交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实质上oc与js的通信交互就是发送消息,也即函数调用,iOS7以后官方公布JavaScriptCore framework中很方便我们对他们之间的相互调用.在以前我们只能通过UIWebView的UIWebViewDelegate协议来实现. 1 - (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDDggoM.html" rel="bookmark">iOS之与JS交互通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着苹果SDK的不断升级,越来越多的新特性增加了进来,本文主要讲述从iOS6至今,Native与JavaScript的交互方法 一.UIWebview &amp;&amp; iframe &amp;&amp; JavaScript  &lt;=iOS6 iOS6原生没有提供js直接调用Objective-C的方式,只能通过UIWebView的UIWebViewDelegate协议 (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rp7j7M.html" rel="bookmark">iOS UI控件6</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.微调器(UIStepper) iOS5 新增UI,包含 +.-两个按钮,继承了UIControl 支持的属性: Value Minimum Maximum Current Step Behavior Autorepeat 按住 加号 不松手,数字会持续变化 Continuous 为YES时,用户交互会立即出发ValueChanged事件,NO 表示只有等用户交互结束才出发ValueChanged事件 Wrap 若为YES,value加到超过Maximum值时,会变成Min指. 设置自定义外观			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rOjP14.html" rel="bookmark">js&lpar;javascript&rpar;与ios&lpar;Objective-C&rpar;相互通信交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着苹果SDK的不断升级,越来越多的新特性增加了进来,本文主要讲述从iOS6至今,Native与JavaScript的交互方法 一.UIWebview &amp;&amp; iframe &amp;&amp; JavaScript  &lt;=iOS6 iOS6原生没有提供js直接调用Objective-C的方式,只能通过UIWebView的UIWebViewDelegate协议 1 (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBbBYvM.html" rel="bookmark">UIWebView控件用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UIWebView是IOS SDK中一个常用的控件,是内置的浏览器控件,我们可以用它来浏览网页,打开文档等到.本篇博客主要讲解一下UIWebView控件制作简易的浏览器 效果图如下: 在这里首先我采用的是可视化编程,直接在视图上拖放控件. UIWebView的loadRequest可以用来加载一个url地址,它需要一个NSURLRequest参数.我们定义一个方法用来加载url.在UIWebViewController.m中定义下面方法: - (void)loadWebPageWithStrin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPgaay4.html" rel="bookmark">&OpenCurlyDoubleQuote;口袋郴州&rdquo;项目总结－UIwebView用法总结（附带下拉刷新）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				////  ViewController.h//  KouDaiChenhZhou////  Created by jishubumac on 14/11/7.//  Copyright (c) 2014年 jishubumac. All rights reserved.////UIWebView下拉刷新框架原创下载地址:http://code4app.com/ios/UIWebView-%E4%B8%8B%E6%8B%89%E5%88%B7%E6%96%B0/51aee3c16803fa770			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aGEn4.html" rel="bookmark" class="title">shell编程（七）--- sed的用法</a>
					<div>
						sed:称为流编辑器,也称为行编辑器. sed处理过程:sed读取源文件中的一行,并将其放在临时缓冲区中,这个缓冲区称为模式空间,使用相应的模式对模式空间进行处理,并将处理的结果显示到屏幕上,并不会影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0ReRjM.html" rel="bookmark" class="title">帝国cms 文章列表页读取newstext的内容</a>
					<div>
						帝国cms的文章系统的内容是存放于文本中而不是存放于数据库中的,数据库中存放的是文本的路径,放与d\txt目录下,在用文章系统做单页面时,可能会在列表页读取newstext字段,如: [e:loop= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXY15a0.html" rel="bookmark" class="title">爱情有多美（曾贤志）</a>
					<div>
						爱情有多美 作者:曾贤志 那年,我十三岁,她十二岁.我们都考上了同一所初中.虽没有过多的语言交流,但我们彼此都是心心相印. 那一年,我十六岁,她十五岁.我考上了一所普通高中,她考上了一所重点高中.我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAnOJ4.html" rel="bookmark" class="title">python迭代器实现斐波拉契求值</a>
					<div>
						斐波那契数列(Fibonacci sequence),又称黄金分割数列,也称为&quot;兔子数列&quot;:F(0)=0,F(1)=1,F(n)=F(n-1)+F(n-2)(n≥2,n∈N*).例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O72v73.html" rel="bookmark" class="title">MATLAB 最优化计算 （二）</a>
					<div>
						matlab 程序设计 1, for start:increment:end  若默认步长为1,则为 for start:end ———— end while  condition ————  end ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomLdl3.html" rel="bookmark" class="title">Python3---filter&comma;map&comma;reduce</a>
					<div>
						filter(func,iter)   只能处理一个参数(iter),仅仅将满足func方法的数值过滤出来 如: a = [1,2,3,4,5] list(filter(lambda x:x&gt;2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02L6NR4.html" rel="bookmark" class="title">mybatis判断list为空</a>
					<div>
						在传入的map或者对象里面存在一个list,此时想要判断list是否为空,可以 &lt;if test=&quot;spids.size()&gt;0 &quot; &gt; and SPid not ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDoP7p4.html" rel="bookmark" class="title">mysql复制表</a>
					<div>
						create table 表名 like 要复制的表名  //复制表结构 insert into 表名 select * from 要复制的表名  //复制数据 方法2,一般不推荐,如果后台加数据,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnXyZ0.html" rel="bookmark" class="title">IEEE 754 浮点数的表示精度探讨</a>
					<div>
						IEEE 754 浮点数的表示精度探讨 前言 从网上看到不少程序员对浮点数精度问题有很多疑问,在论坛上发贴询问,很多热心人给予了解答,但我发现一些解答中有些许小的错误和认识不当之处.我曾经做过数值算法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGmWGM.html" rel="bookmark" class="title">C语言  &amp;&num;183&semi;  空白格式化</a>
					<div>
						标题:空白格式化 &quot;空白格式化&quot;具体做法是:去掉所有首尾空白:中间的多个空白替换为一个空格.所谓空白指的是:空格.制表符.回车符. 填空为:*p_to&lt;*p_from: 1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWVr14.html" rel="bookmark" class="title">成员变量（实例变量）&amp;amp&semi;局部变量&amp;amp&semi;静态变量（类变量）的区别</a>
					<div>
						成员变量(实例变量)&amp;局部变量区别: (1)作用域 成员变量:针对整个类有效. 局部变量:只在某个范围内有效.(一般指的就是方法,语句体内) (2)存储位置 成员变量:随着对象的创建而存在,随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02k1XE3.html" rel="bookmark" class="title">去除ActionBar的方法</a>
					<div>
						今天做一个播放器项目,由于要去除ActionBar,纠结好久,原来这么简单 记录一下 只需要修改AndroidManifest.xml文件中的主题即可 &lt;application android: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6vevM.html" rel="bookmark" class="title">软件工程（C编码实践篇）学习心得</a>
					<div>
						孟繁琛 + 原创作品转载请注明出处 + &lt;软件工程(C编码实践篇)&gt;MOOC课程 http://mooc.study.163.com/course/USTC-1000002006 软件工程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M657vZ4.html" rel="bookmark" class="title">Linux下PHP源码安装</a>
					<div>
						1.安装准备 (1)下载php包装包 http://cn2.php.net/downloads.php (2)安装php # tar -zxvf php-5.6.10.tar.gz # cd php- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZzqDM.html" rel="bookmark" class="title">移动互联网时代：你的厕所文学是什么？</a>
					<div>
						记得我腰挂PP机时,我的厕所文学是&lt;故事会&gt;或&lt;知音&gt;,被里面稀奇古怪乱七八糟的感人故事所激动得忘了身上重任,后来有了手机,还是诺基亚232和3310的时候,我的厕所文学有时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWVbml4.html" rel="bookmark" class="title">getActionBar&lpar;&rpar;为null的解决方法总结（引用他人）</a>
					<div>
						最近在看android actionBar的使用,环境为AndroidStudio,建一个简单的工程,功能为:两个按钮,一个单击用于显示actionbar,一个用于隐藏actionbar.默认acti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waRWYM.html" rel="bookmark" class="title">芩谏任檬居psr7i6fe4h5</a>
					<div>
						http://bbs.feng.com/home.php?mod=space&amp;uid=10034911http://www.lvyou114.com/blog/95355http://bbs. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlkWGM.html" rel="bookmark" class="title">第八天学习内容  集合</a>
					<div>
						using System;using System.Collections;using System.Linq;using System.Text;using System.Threading.Tas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1wVE3.html" rel="bookmark" class="title">Oracle RAC 连接</a>
					<div>
						http://blog.csdn.net/hijk139/article/details/7452553 http://blog.itpub.net/4227/viewspace-677272/ ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjvXYM.html" rel="bookmark" class="title">网狐6603 cocos2dx 棋牌、捕鱼、休闲类游戏《李逵捕鱼》手机端完整源码分析及分享</a>
					<div>
						该资源说明: cocos2d 棋牌.捕鱼.休闲类游戏&lt;李逵捕鱼&gt;手机端完整源码,网狐6603配套手机版源码,可以选桌子,适合新手学习参考,小编已亲测试,绝对完整可编译手机端,下载后将文件考 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
